Bug 11033 - nxterm SEGV core dump
nxterm SEGV core dump
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-25 12:11 EDT by hv
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-18 16:59:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hv 2000-04-25 12:11:45 EDT
Just found a month-old core dump for nxterm in my home directory. System
had then been up for about 50 days (now 85); I have no idea what caused it.
Redhat 6.1 system with XFree86-3.3.3.1-49, here's uname -a:
  Linux crypt.compulink.co.uk 2.2.5-16 #1 Sun May 30 23:00:18 BST 1999 i686
unknown

gdb gives this stacktrace:
Core was generated by `/usr/bin/X11/nxterm'.
Program terminated with signal 11, Segmentation fault.
(gdb) where
#0  0x804ce97 in strcpy ()
#1  0x1d in ?? ()
#2  0x804d0ff in strcpy ()
#3  0x804c9d9 in strcpy ()
#4  0x804cb12 in strcpy ()
#5  0x4009be8d in HandleActions ()
#6  0x4009c342 in HandleSimpleState ()
#7  0x4009c851 in _XtTranslateEvent ()
#8  0x400799f7 in XtDispatchEventToWidget ()
#9  0x4007a5ad in _XtDefaultDispatcher ()
#10 0x4007a873 in XtDispatchEvent ()
#11 0x805a620 in strcpy ()
#12 0x804fd3f in strcpy ()
#13 0x804e31b in strcpy ()
#14 0x8051c04 in strcpy ()
#15 0x80573b5 in strcpy ()
#16 0x40193cb3 in __libc_start_main (main=0x8056880 <strcpy+43804>, argc=1,
    argv=0xbffffd64, init=0x804af34 <_init>, fini=0x8063b7c <_fini>,
    rtld_fini=0x4000a350 <_dl_fini>, stack_end=0xbffffd5c)
    at ../sysdeps/generic/libc-start.c:78
(gdb)

I'll keep the core file around for another month or so in case inquiring
minds want to know anything.

Hugo van der Sanden
Comment 1 Mike A. Harris 2001-04-24 12:17:34 EDT
Should be fixed in the current release.  This bug should have been closed
long ago.. slipped threw the cracks I guess.  Please upgrade to the latest
release.

Note You need to log in before you can comment on or make changes to this bug.